function [gam] = incentive(g,A,m)
% provides a vector of gamma's given a payoff structure g
gam = g;
for k = 1:m-1,
  gam(k) = (g(k+1)-g(k))/(A(k+1) - A(k));
end
[x,k] = max(g);
gam(k+1:m) = gam(k:m-1);
gam(k)=0;    

